#include <bits/stdc++.h>

using namespace std;

struct Frilenser {
    double a;
    double p;
    double pd;
    double suma;

    bool operator<(const Frilenser &f) {
        if (p != f.p)
            return p < f.p;
    }
} ;

int main() {
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);
    int n;
    cin >> n;

    vector<Frilenser> f(n);
    for (int i = 0; i < n; i++) {
        cin >> f[i].a >> f[i].p;
    }

    sort(f.begin(), f.end());

    int maxi = n - 1;
    f[n - 1].suma = f[n - 1].a;
    for (int i = n - 2; i >= 0; i--) {
        f[i].suma += f[i].a + f[i + 1].suma;
        f[i].pd = f[i].suma * (f[i].p / 100);

        maxi = f[maxi].pd < f[i].pd ? i : maxi;
    }

    printf("%.4f", f[maxi].pd);

    return 0;
}